## libsoc 0.5

=== DESCRIPTION ===
Package: libsoc
Version: 0.5
Date: 2017-02-07
Title: Read, Create and Write 'PharmML' Standard Output (so) XML Files
Author: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
Maintainer: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
Depends: R (>= 2.14.1)
Imports: methods
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
NeedsCompilation: yes
Description: Handle 'PharmML' (Pharmacometrics Markup Language) standard output (SO) XML files.
    SO files can be created, read, manipulated and written through a
    data binding from the XML structure to a tree structure of R objects.
URL: https://github.com/rikardn/libsoc
BugReports: https://github.com/rikardn/libsoc/issues
License: LGPL-3
Copyright: 2015-2017 Rikard Nordgren
Packaged: 2017-02-09 09:56:54 UTC; rikard
Repository: CRAN
Date/Publication: 2017-02-11 10:04:35

## libsoc 0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Package: libsoc
-Version: 0.5
-Date: 2017-02-07
+Version: 0.6
+Date: 2017-12-21
 Title: Read, Create and Write 'PharmML' Standard Output (so) XML Files
 Author: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
 Maintainer: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
 Depends: R (>= 2.14.1)
 Imports: methods
+Suggests: knitr, rmarkdown
+VignetteBuilder: knitr
 SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
 NeedsCompilation: yes
 Description: Handle 'PharmML' (Pharmacometrics Markup Language) standard output (SO) XML files.
@@ -15,6 +17,6 @@
 BugReports: https://github.com/rikardn/libsoc/issues
 License: LGPL-3
 Copyright: 2015-2017 Rikard Nordgren
-Packaged: 2017-02-09 09:56:54 UTC; rikard
+Packaged: 2018-01-06 20:28:59 UTC; rikard
 Repository: CRAN
-Date/Publication: 2017-02-11 10:04:35
+Date/Publication: 2018-01-06 22:37:15 UTC

## libsoc 0.6.4

=== DESCRIPTION ===
Package: libsoc
Version: 0.6.4
Date: 2018-01-28
Title: Read, Create and Write 'PharmML' Standard Output (so) XML Files
Author: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
Maintainer: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
Depends: R (>= 2.14.1)
Imports: methods
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
NeedsCompilation: yes
Description: Handle 'PharmML' (Pharmacometrics Markup Language) standard output (SO) XML files.
    SO files can be created, read, manipulated and written through a
    data binding from the XML structure to a tree structure of R objects.
URL: https://github.com/rikardn/libsoc
BugReports: https://github.com/rikardn/libsoc/issues
License: LGPL-3
Copyright: 2015-2018 Rikard Nordgren
Packaged: 2018-01-28 18:08:53 UTC; rikard
Repository: CRAN
Date/Publication: 2018-01-28 21:52:39 UTC

## libsoc 0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: libsoc
-Version: 0.6.4
-Date: 2018-01-28
+Version: 0.7
+Date: 2019-04-14
 Title: Read, Create and Write 'PharmML' Standard Output (so) XML Files
 Author: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
 Maintainer: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
@@ -16,7 +16,7 @@
 URL: https://github.com/rikardn/libsoc
 BugReports: https://github.com/rikardn/libsoc/issues
 License: LGPL-3
-Copyright: 2015-2018 Rikard Nordgren
-Packaged: 2018-01-28 18:08:53 UTC; rikard
+Copyright: 2015-2019 Rikard Nordgren
+Packaged: 2019-05-15 07:18:52 UTC; rikard
 Repository: CRAN
-Date/Publication: 2018-01-28 21:52:39 UTC
+Date/Publication: 2019-05-15 09:30:02 UTC

## libsoc 0.7.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: libsoc
-Version: 0.7
-Date: 2019-04-14
+Version: 0.7.3
+Date: 2022-02-03
 Title: Read, Create and Write 'PharmML' Standard Output (so) XML Files
-Author: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
-Maintainer: Rikard Nordgren <rikard.nordgren@farmbio.uu.se>
+Author: Rikard Nordgren <rikard.nordgren@farmaci.uu.se>
+Maintainer: Rikard Nordgren <rikard.nordgren@farmaci.uu.se>
 Depends: R (>= 2.14.1)
 Imports: methods
 Suggests: knitr, rmarkdown, testthat
@@ -16,7 +16,7 @@
 URL: https://github.com/rikardn/libsoc
 BugReports: https://github.com/rikardn/libsoc/issues
 License: LGPL-3
-Copyright: 2015-2019 Rikard Nordgren
-Packaged: 2019-05-15 07:18:52 UTC; rikard
+Copyright: 2015-2022 Rikard Nordgren
+Packaged: 2022-02-03 13:37:20 UTC; rikard
 Repository: CRAN
-Date/Publication: 2019-05-15 09:30:02 UTC
+Date/Publication: 2022-02-03 15:40:02 UTC

## libsoc 0.8.2

=== debian/changelog ===
libsoc (0.8.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #879389)
  * Add upstream fix for missing include in libsoc_gpio.h,
    thanks to Yegor Yefremov. (Closes: #872439)

 -- Adrian Bunk <bunk@debian.org>  Thu, 07 Feb 2019 18:41:58 +0200

libsoc (0.8.2-1) unstable; urgency=medium

  * Initial release (Closes: #805795)

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Dec 2016 08:40:38 +0200

=== debian/control ===
Source: libsoc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               pkg-config,
               python-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/jackmitch/libsoc

Package: libsoc-dev
Section: libdevel
Architecture: arm64 armhf
Depends: libsoc2 (= ${binary:Version}), ${misc:Depends}
Description: C library to interface with common peripherals (development)
 libsoc is a C library to interface with common peripherals (gpio, i2c, spi,
 pwm) found in System on Chips (SoC)through generic Linux Kernel interfaces.
 .
 This package contains the library development files.

Package: libsoc2
Architecture: arm64 armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C library to interface with common peripherals (runtime)
 libsoc is a C library to interface with common peripherals (gpio, i2c, spi,
 pwm) found in System on Chips (SoC)through generic Linux Kernel interfaces.
 .
 This package contains the library used at runtime.

Package: python-libsoc
Architecture: arm64 armhf
Section: python
Depends: libsoc2 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python binding for libsoc
 libsoc is a C library to interface with common peripherals (gpio, i2c, spi,
 pwm) found in System on Chips (SoC)through generic Linux Kernel interfaces.
 .
 This package contains libsoc Python binding.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --list-missing --parallel --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --with-board-configs --enable-python=2
